Loading...
Searching...
No Matches
_ResizeFilter Struct Reference

## Data Fields

double(* | filter )(const double, const ResizeFilter *)
double(* | window )(const double, const ResizeFilter *)
double | support
double | window_support
double | scale
double | blur
double | coefficient [7]
ResizeWeightingFunctionType | filterWeightingType
ResizeWeightingFunctionType | windowWeightingType
size_t | signature

## Detailed Description

Definition at line 92 of file resize.c.

## Field Documentation

## blur

double _ResizeFilter::blur

Definition at line 100 of file resize.c.

## coefficient

double _ResizeFilter::coefficient[7]

Definition at line 101 of file resize.c.

## filter

double(* _ResizeFilter::filter) (const double, const ResizeFilter *)

Definition at line 94 of file resize.c.

## filterWeightingType

ResizeWeightingFunctionType _ResizeFilter::filterWeightingType

Definition at line 104 of file resize.c.

## scale

double _ResizeFilter::scale

Definition at line 99 of file resize.c.

## signature

size_t _ResizeFilter::signature

Definition at line 108 of file resize.c.

## support

double _ResizeFilter::support

Definition at line 97 of file resize.c.

## window

double(* _ResizeFilter::window) (const double, const ResizeFilter *)

Definition at line 94 of file resize.c.

## window_support

double _ResizeFilter::window_support

Definition at line 98 of file resize.c.

## windowWeightingType

ResizeWeightingFunctionType _ResizeFilter::windowWeightingType

Definition at line 105 of file resize.c.

The documentation for this struct was generated from the following file:

- resize.c